<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/face"
    android:orientation="vertical"
    tools:context=".liveVideo.AutoModeActivity">

    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/auto_mode_title"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />

        <View
            android:layout_width="24dp"
            android:layout_height="24dp" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="10dp"
        android:background="@color/face" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp"
        android:paddingVertical="16dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:text="@string/auto_mode_title"
            android:textColor="@color/black"
            android:textSize="16dp" />

            <LinearLayout
                android:id="@+id/itemAutoMode"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_weight="1"
                android:background="@drawable/bg_bottom_sheet_rounded"
                android:gravity="center"
                android:orientation="horizontal">

                <android.widget.RadioButton
                    android:id="@+id/rbAutoMode"
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:button="@drawable/radio_button_selector"
                    android:checked="true" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:text="@string/full_auto_mode"
                    android:textColor="@color/black"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/itemSemiAutoMode"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:background="@drawable/bg_bottom_sheet_rounded"
                android:gravity="center"
                android:orientation="horizontal">

                <android.widget.RadioButton
                    android:id="@+id/rbSemiAutoMode"
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:button="@drawable/radio_button_selector" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:text="@string/semi_auto_mode"
                    android:textColor="@color/black"
                    android:textSize="14sp" />
            </LinearLayout>



    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="10dp"
        android:background="@color/face" />

    <LinearLayout
        android:id="@+id/itemStartTime"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/auto_defense_start_time"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvStartTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="21:30"
                android:textColor="@color/gray"
                android:textSize="14sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginStart="8dp"
                android:src="@drawable/right_back" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:layout_marginStart="16dp"
        android:background="@color/face" />

    <LinearLayout
        android:id="@+id/itemEndTime"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/auto_defense_end_time"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvEndTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="08:30"
                android:textColor="@color/gray"
                android:textSize="14sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginStart="8dp"
                android:src="@drawable/right_back" />
        </LinearLayout>
    </LinearLayout>

</LinearLayout>